Debian Bug report logs - #482176
initscripts: /lib/init/bootclean.sh does not clean /var/run/network/mountnfs

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: Niccolo Rigacci <niccolo@rigacci.org>

Date: Wed, 21 May 2008 09:09:02 UTC

Severity: normal

Tags: patch

Merged with 550883, 613807

Found in versions sysvinit/2.86.ds1-55, sysvinit/2.87dsf-8, sysvinit/2.88dsf-13.1

Fixed in version 2.88dsf-13.2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Niccolo Rigacci <niccolo@rigacci.org>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niccolo Rigacci <niccolo@rigacci.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initscripts: /lib/init/bootclean.sh does not clean /var/run/network/mountnfs
Date: Wed, 21 May 2008 11:04:46 +0200
Package: initscripts
Version: 2.86.ds1-55
Severity: normal

NFS volumes are mounted by /etc/network/if-up.d/mountnfs. The script uses a
directory lock: /var/run/network/mountnfs.

If this directory remains stale (as per power outage), mount fails at next
boot with the error message:

if-up.d/mountnfs[eth0]: lock /var/run/network/mountnfs exist, not mounting

I suggest that the script /lib/init/bootclean.sh should remove the locking
directory as well, inside the clean_run() function.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages initscripts depends on:
ii  debianutils                  2.28.4      Miscellaneous utilities specific t
ii  e2fsprogs                    1.40.8-2    ext2 file system utilities and lib
ii  libc6                        2.7-10      GNU C Library: Shared libraries
ii  lsb-base                     3.1-24      Linux Standard Base 3.1 init scrip
ii  mount                        2.13.1-3    Tools for mounting and manipulatin
ii  sysvinit-utils               2.86.ds1-55 System-V-like utilities

Versions of packages initscripts recommends:
ii  psmisc                        22.6-1     Utilities that use the proc filesy

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, al@galanin.nnov.ru, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Mon, 11 Jan 2010 03:03:03 GMT) Full text and rfc822 format available.

Message #8 received at 482176@bugs.debian.org (full text, mbox):

From: Alexander Galanin <al@galanin.nnov.ru>
To: Debian Bug Tracking System <482176@bugs.debian.org>
Subject: Re: /lib/init/bootclean.sh does not clean /var/run/network/mountnfs
Date: Mon, 11 Jan 2010 05:38:51 +0300
Package: initscripts
Version: 2.87dsf-8
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This bug still exists. Please take an action!

- -- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initscripts depends on:
ii  coreutils                     7.4-2      The GNU core utilities
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip
ii  mount                         2.16.2-0   Tools for mounting and manipulatin
ii  sysv-rc                       2.87dsf-8  System-V-like runlevel change mech
ii  sysvinit-utils                2.87dsf-8  System-V-like utilities

Versions of packages initscripts recommends:
ii  e2fsprogs                     1.41.9-1   ext2/ext3/ext4 file system utiliti
ii  psmisc                        22.8-1     utilities that use the proc file s

initscripts suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktKjzsACgkQp0cjlW3dsl86uQCfV4XF0EnnYbjePwigYfPGtQyN
KWMAnAnID0A/vHS/GxX/kfYcxuK1AZ7n
=zEoL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Fri, 07 May 2010 10:42:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Geisen <oliver.geisen@kreisbote.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 07 May 2010 10:42:50 GMT) Full text and rfc822 format available.

Message #13 received at 482176@bugs.debian.org (full text, mbox):

From: Oliver Geisen <oliver.geisen@kreisbote.de>
To: 482176@bugs.debian.org, georg Meyer <georg.meyer@alpsoft.de>
Subject: Solution for NFS mount at boot
Date: Fri, 07 May 2010 12:00:15 +0200
Just replace the later part of /etc/network/if-up.d/mountnfs with the 
following code:
--------------------------------------------------------------------------------------------
...

# Using 'no !=' instead of 'yes =' to make sure async nfs mounting is
# the default even without a value in /etc/default/rcS
if [ no != "$ASYNCMOUNTNFS" ]; then
    # Not for loopback!
    [ "$IFACE" != "lo" ] || exit 0

    # Lock around this otherwise insanity may occur
    mkdir /var/run/network          2>/dev/null || true

    if [ -f /var/run/network/mountnfs ]; then
        msg="if-up.d/mountnfs[$IFACE]: lock /var/run/network/mountnfs 
exist, not mounting"
        log_failure_msg "$msg"
        # Log if /usr/ is mounted
        [ -x /usr/bin/logger ] && /usr/bin/logger -t 
"if-up.d/mountnfs[$IFACE]" "$msg"
        exit 0
    fi

    touch /var/run/network/mountnfs

    on_exit() {
        # Clean up lock when script exits, even if it is interrupted
        rm -f /var/run/network/mountnfs 2>/dev/null || exit 0
    }
    trap on_exit EXIT # Enable emergency handler
    do_start
elif [ yes = "$FROMINITD" ] ; then
    do_start
fi
--------------------------------------------------------------------------------------------

This will use a file instead of a directory to lock the action and files 
would be cleaned up on boot.




Added tag(s) patch. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 19:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Sat, 17 Jul 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 17 Jul 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 482176@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 482176@bugs.debian.org
Subject: please fix this bug
Date: Sat, 17 Jul 2010 15:08:33 -0400
[Message part 1 (text/plain, inline)]
The patch in the previous message should work fine.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Tue, 25 Jan 2011 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to tjcrone@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Tue, 25 Jan 2011 18:54:06 GMT) Full text and rfc822 format available.

Message #25 received at 482176@bugs.debian.org (full text, mbox):

From: Timothy Crone <tjcrone@gmail.com>
To: 482176@bugs.debian.org
Subject: this bug still exists
Date: Tue, 25 Jan 2011 13:51:07 -0500
this bug still exists. i struggled with this issue for days until
finally figuring it out. i deleted /var/run/network/mountnfs/ manually
and /etc/network/if-up.d/mountnfs subsequently worked fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Wed, 16 Feb 2011 11:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean Charles Delepine <delepine@u-picardie.fr>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 16 Feb 2011 11:06:06 GMT) Full text and rfc822 format available.

Message #30 received at 482176@bugs.debian.org (full text, mbox):

From: Jean Charles Delepine <delepine@u-picardie.fr>
To: 482176@bugs.debian.org
Subject: Workaround
Date: Wed, 16 Feb 2011 11:54:02 +0100
That will not fix the bug which still has to be fixed, but your server will
boot if you put RAMRUN=yes and RAMLOCK=yes in /etc/default/rcS






Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#482176; Package initscripts. (Sun, 24 Apr 2011 08:15:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Thiele <erik.thiele@thiele-hydraulik.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sun, 24 Apr 2011 08:15:33 GMT) Full text and rfc822 format available.

Message #35 received at 482176@bugs.debian.org (full text, mbox):

From: Erik Thiele <erik.thiele@thiele-hydraulik.de>
To: 482176@bugs.debian.org
Subject: system crash -> no nfs mount.
Date: Sun, 24 Apr 2011 10:14:13 +0200
hi.

after a system crash one of my hosts did not mount nfs anymore.

after some investigation i found out, that /var/run/mountnfs is an
existing empty directory which should be deleted on bootup.

i wanted to report as debian bug and found it already being open.
why is /var/run not completely wiped on boot?


thanks
Erik




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sat, 30 Apr 2011 13:45:05 GMT) Full text and rfc822 format available.

Notification sent to Niccolo Rigacci <niccolo@rigacci.org>:
Bug acknowledged by developer. (Sat, 30 Apr 2011 13:45:06 GMT) Full text and rfc822 format available.

Message #40 received at 482176-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 482176-done@bugs.debian.org
Subject: Fixed in 2.88dsf-13.2
Date: Sat, 30 Apr 2011 15:40:30 +0200
[Message part 1 (text/plain, inline)]
Version: 2.88dsf-13.2

This has been fixed by making /run (and as a consequence /var/run) a tmpfs.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 May 2011 07:36:39 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:42:51 GMT) Full text and rfc822 format available.

Forcibly Merged 482176 550883 613807. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:42:51 GMT) Full text and rfc822 format available.

Bug archived. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:42:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:11:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.